BRouter, ein konfigurierbarer Offline-Streckenrouter [Web + Android]

Dieses Thema im Forum "Navigation" wurde erstellt von Reinhard, 30.04.2014.

Schlagworte:
  1. schlawag

    schlawag

    Beiträge:
    927
    Ort:
    Kanton Solothurn
    Liegerad:
    Challenge Mistral
    Wenn Du die f-droid app (habe ja ein custom rom und nutze daher f-droid anstatt dem google play store) nutzt, wird brouter 1.5.5 angezeigt, beim D'rauf Klicken erscheint dann aber eine Meldung, dass die Version 1 Jahr alt sei, in der Versionsgeschichte wird dann wiederum 1.5.5 angezeigt. Daher auch die Meldung, dass bei mir kein update erfolgt (da eh schon neueste Version).
     

    Anhänge:

    Zuletzt bearbeitet: 09.09.2019 um 08:46 Uhr
  2. bzzt

    bzzt

    Beiträge:
    771
    Alben:
    1
    Ort:
    Freiburg im Breisgau
    Das ist seltsam. Wie gesagt, bei mir taucht in der F-Droid-App nur die Version 1.4.11 auf, die ich installiert habe.
    Braucht BRouter vielleicht inzwischen irgendwelche Google-Dienste? Auf meinem Telefon fehlen die nämlich.

    Edit:
    Ha! Brouter braucht seit der V1.5.0 inzwischen API-Level 28, d.h. Android 9. Das ist sehr betrüblich, weil es alle älteren Smartphones ausschließt.
     
    Zuletzt bearbeitet: 09.09.2019 um 09:34 Uhr
  3. emgaron

    emgaron

    Beiträge:
    1.734
    Alben:
    1
    Ort:
    Lansingerland, NL
    Velomobil:
    Mango
    Liegerad:
    Optima Orca
    Autsch. Ich fand gerade ältere (und damit billige) Androids ganz praktisch für den Zweck... Aber gut, zum Track-nachfahren in OSMand reicht's noch.
     
  4. bzzt

    bzzt

    Beiträge:
    771
    Alben:
    1
    Ort:
    Freiburg im Breisgau
    Sideloading sollte trotzdem noch funktionieren, oder?
    Dann muss man eben die Updates manuell nachführen.
    Bin aber gerade zu faul, das auszuprobieren...
     
  5. schlawag

    schlawag

    Beiträge:
    927
    Ort:
    Kanton Solothurn
    Liegerad:
    Challenge Mistral
    Lag daran, dass schon 1.5.5 installiert war, die Anzeige von f-droid für brouter stellt sich fälschlicherweise darauf ein. Sorry, habe ich auch erst später gemerkt.
     
  6. Gwynfor

    Gwynfor

    Beiträge:
    3.558
    Alben:
    2
    Ort:
    27711 Osterholz-Scharmbeck
    Velomobil:
    Quattrovelo
    Liegerad:
    Effendi RLR 26
    Moin,
    das heißt, du hast brouter entweder über den PlayStore oder per Hand installiert. Denn F-Droid meldet weiterhin nur 1.4.11...

    Ciao,
    Andreas
     
  7. Volker D.

    Volker D.

    Beiträge:
    306
    Ort:
    74599 Walhausen-Schainbach
    Velomobil:
    Go-One Evo K
    Liegerad:
    HP Speedmachine
    Nein, um BRouter im PlayStore zu halten ist es notwendig den Ziel-API-Level auf 28 zu erhöhen, aber er läuft immer noch auf den älteren ab API-Level 10. Es ist sogar so dass bei der Installation auf Geräten mit API-Level 23 (Android 6.0) und höher Funktionen verloren gehen wenn man die aktuelle Version vom PlayStore installiert. Dafür gibt es auf https://brouter.de/brouter/revisions.html in der Zip-Datei die api10.apk.

    Gruß Volker
     
  8. bzzt

    bzzt

    Beiträge:
    771
    Alben:
    1
    Ort:
    Freiburg im Breisgau
    Hallo Volker,

    ja, das hatte ich mir schon gedacht. Daher schrieb ich ja vom Sideloading.
    Aber ich hätte einfach gerne automatische Updates.
    Wird es denn die aktuelle Version bald mal auf F-Droid geben?

    Grüße,
    Thomas
     
  9. Gwynfor

    Gwynfor

    Beiträge:
    3.558
    Alben:
    2
    Ort:
    27711 Osterholz-Scharmbeck
    Velomobil:
    Quattrovelo
    Liegerad:
    Effendi RLR 26
    Moin,
    hängt leider immer noch in dem Build Fehler fest...

    Ciao,
    Andreas
     
  10. bzzt

    bzzt

    Beiträge:
    771
    Alben:
    1
    Ort:
    Freiburg im Breisgau
    Also warten...
     


  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden